打印

PHP 编译错误502 Bad Gateway

PHP 编译错误502 Bad Gateway

安装了2次都所出现
502 Bad Gateway发现没有php-cgi进程

usr/local/php 也只有ect目录

系统是Linux localhost 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:34:47 UTC 2011 i686 i686 i386 GNU/Linux


2个附件

我从ubuntu.sh 提取的PHP 脚本
和LOG





问题在哪呢?

[ 本帖最后由 cooc123 于 2011-12-13 16:27 编辑 ]
附件: 您所在的用户组无法下载或查看附件

TOP

没看到日志里有php编译的错误信息

TOP

引用:
原帖由 licess 于 2011-12-13 20:37 发表
没看到日志里有php编译的错误信息
那是怎么回事,usr/local/php 只有etc

TOP

建议手动编译安装看看,日志里没有错误信息

TOP

手动出错
编译参数用的是ubuntu.sh 里面到参数
crypt -liconv -o sapi/cgi/php-cgi
ext/zip/lib/zip_dirent.o: In function `memset':
/usr/include/i386-linux-gnu/bits/string3.h:82: warning: memset used with constant zero length parameter; this could be due to transposed parameters
ext/openssl/xp_ssl.o: In function `php_openssl_setup_crypto':
/root/Desktop/tmp/lnmp0.7-full/php-5.2.17/ext/openssl/xp_ssl.c:357: undefined reference to `SSLv2_server_method'
/root/Desktop/tmp/lnmp0.7-full/php-5.2.17/ext/openssl/xp_ssl.c:337: undefined reference to `SSLv2_client_method'
collect2: ld returned 1 exit status
make: *** [sapi/cgi/php-cgi] 错误 1

TOP

回复 5# 的帖子

可能是需要打一个补丁:http://anonscm.debian.org/gitweb/?p=pkg-php/php.git;a=blob_plain;f=debian/patches/disable_SSLv2_for_openssl_1_0_0.patch;hb=3e2e5babbc9b4ae5b25688347bdf89ea862dbd92
放在php解压目录的openssl目录中,你的是/root/Desktop/tmp/lnmp0.7-full/php-5.2.17/ext/openssl/
然后 patch -p3 <debian-patches-disable_SSLv2_for_openssl_1_0_0.patch
再按执行上一步中编译没成功时的命令

TOP